Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AttachedData

    java.lang.Object
      com.nortel.soa.oi.cct.types.AttachedData

    public class AttachedData

extends java.lang.Object

Java class for attachedData complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="attachedData">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="type" type="{http://www.nortel.com/soa/oi/cct/types}attachmentType"/>
             <element name="binaryData" type="{http://www.nortel.com/soa/oi/cct/types}byteArray" minOccurs="0"/>
             <element name="keyValueData" type="{http://www.nortel.com/soa/oi/cct/types}keyValuePairArray" minOccurs="0"/>
             <element name="stringData" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AttachedData()`

Method Summary
`ByteArray` | `getBinaryData()` Gets the value of the binaryData property.
`KeyValuePairArray` | `getKeyValueData()` Gets the value of the keyValueData property.
`java.lang.String` | `getStringData()` Gets the value of the stringData property.
`AttachmentType` | `getType()` Gets the value of the type property.
`void` | `setBinaryData(ByteArray value)` Sets the value of the binaryData property.
`void` | `setKeyValueData(KeyValuePairArray value)` Sets the value of the keyValueData property.
`void` | `setStringData(java.lang.String value)` Sets the value of the stringData property.
`void` | `setType(AttachmentType value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachedData

    public AttachedData()

Method Detail

### getType

    public AttachmentType getType()

  Gets the value of the type property.

  Returns:
    possible object is `AttachmentType`

### setType

    public void setType(AttachmentType value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `AttachmentType`

### getBinaryData

    public ByteArray getBinaryData()

  Gets the value of the binaryData property.

  Returns:
    possible object is `ByteArray`

### setBinaryData

    public void setBinaryData(ByteArray value)

  Sets the value of the binaryData property.

  Parameters:
    `value` - allowed object is `ByteArray`

### getKeyValueData

    public KeyValuePairArray getKeyValueData()

  Gets the value of the keyValueData property.

  Returns:
    possible object is `KeyValuePairArray`

### setKeyValueData

    public void setKeyValueData(KeyValuePairArray value)

  Sets the value of the keyValueData property.

  Parameters:
    `value` - allowed object is `KeyValuePairArray`

### getStringData

    public java.lang.String getStringData()

  Gets the value of the stringData property.

  Returns:
    possible object is `String`

### setStringData

    public void setStringData(java.lang.String value)

  Sets the value of the stringData property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.